package com.keao.edu.im.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * Created by weiqinxiao on 2019/2/28.
 */
@Data
@Component
@ConfigurationProperties(prefix = "cn.rongcloud.room")
public class RoomProperties {
    private int maxCount;
    private long taskTtl;
    private long roomTtl;
    private long userIMOfflineKickTtl;
	public int getMaxCount() {
		return maxCount;
	}
	public void setMaxCount(int maxCount) {
		this.maxCount = maxCount;
	}
	public long getTaskTtl() {
		return taskTtl;
	}
	public void setTaskTtl(long taskTtl) {
		this.taskTtl = taskTtl;
	}
	public long getRoomTtl() {
		return roomTtl;
	}
	public void setRoomTtl(long roomTtl) {
		this.roomTtl = roomTtl;
	}
	public long getUserIMOfflineKickTtl() {
		return userIMOfflineKickTtl;
	}
	public void setUserIMOfflineKickTtl(long userIMOfflineKickTtl) {
		this.userIMOfflineKickTtl = userIMOfflineKickTtl;
	}
    
}
